cURL
curl --request POST \
--url https://my.orq.ai/v3/telemetry-destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": {
"display_name": "<string>",
"provider": "<string>",
"endpoint_url": "<string>",
"request_headers": {},
"settings": {},
"project_ids": [
"<string>"
],
"enabled": true
}
}
'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_MANAGEMENT_KEY });
const result = await orq.telemetryDestinations.create({ destination: { displayName: 'Production', provider: 'custom', endpointUrl: 'https://otel.example.com/v1/traces', requestHeaders: {}, settings: {}, contentMode: 'TELEMETRY_CONTENT_MODE_METADATA_ONLY', projectScope: 'TELEMETRY_PROJECT_SCOPE_ALL', projectIds: [], enabled: true } });
import requests
url = "https://my.orq.ai/v3/telemetry-destinations"
payload = { "destination": {
"display_name": "<string>",
"provider": "<string>",
"endpoint_url": "<string>",
"request_headers": {},
"settings": {},
"project_ids": ["<string>"],
"enabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"destination": {
"id": "<string>",
"display_name": "<string>",
"provider": "<string>",
"endpoint_url": "<string>",
"request_headers": {},
"settings": {},
"content_mode": "TELEMETRY_CONTENT_MODE_METADATA_ONLY",
"project_scope": "TELEMETRY_PROJECT_SCOPE_ALL",
"project_ids": [
"<string>"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_count": 123,
"last_error": "<string>",
"last_status_code": 123,
"last_attempt_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>"
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Telemetry Destinations
Create an OpenTelemetry destination
Create an OpenTelemetry destination with a Management Key, setting the OTLP/HTTP traces URL, request headers, content mode and the Projects to export.
POST
/
v3
/
telemetry-destinations
cURL
curl --request POST \
--url https://my.orq.ai/v3/telemetry-destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination": {
"display_name": "<string>",
"provider": "<string>",
"endpoint_url": "<string>",
"request_headers": {},
"settings": {},
"project_ids": [
"<string>"
],
"enabled": true
}
}
'import { Orq } from '@orq-ai/node';
const orq = new Orq({ apiKey: process.env.ORQ_MANAGEMENT_KEY });
const result = await orq.telemetryDestinations.create({ destination: { displayName: 'Production', provider: 'custom', endpointUrl: 'https://otel.example.com/v1/traces', requestHeaders: {}, settings: {}, contentMode: 'TELEMETRY_CONTENT_MODE_METADATA_ONLY', projectScope: 'TELEMETRY_PROJECT_SCOPE_ALL', projectIds: [], enabled: true } });
import requests
url = "https://my.orq.ai/v3/telemetry-destinations"
payload = { "destination": {
"display_name": "<string>",
"provider": "<string>",
"endpoint_url": "<string>",
"request_headers": {},
"settings": {},
"project_ids": ["<string>"],
"enabled": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"destination": {
"id": "<string>",
"display_name": "<string>",
"provider": "<string>",
"endpoint_url": "<string>",
"request_headers": {},
"settings": {},
"content_mode": "TELEMETRY_CONTENT_MODE_METADATA_ONLY",
"project_scope": "TELEMETRY_PROJECT_SCOPE_ALL",
"project_ids": [
"<string>"
],
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"failure_count": 123,
"last_error": "<string>",
"last_status_code": 123,
"last_attempt_at": "2023-11-07T05:31:56Z",
"disabled_reason": "<string>"
}
}{
"message": "<string>",
"code": 123,
"details": [
"<unknown>"
]
}Related guide: OpenTelemetry export guide. See the OpenTelemetry export guide for a walkthrough with examples.
Was this page helpful?